<%@include file="templates/validar.jsp" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <%@include file="templates/header.jsp" %>
        <!--template-core-->
        <!--css de la pagina-->

        <!--css-->
    </head>
    <body>
        <%@include file="templates/header-body.jsp" %>
        <!--  content -->
        <div class="col-md-6 col-md-offset-3">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h5 class="panel-title">Control de Asistencia de Policias</h5>
                </div>

                <form id="frmAsistenciaPolicias" onsubmit="return false;" autocomplete="off">
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-4 form-group">
                                <label>Busqueda por</label>
                                <select class="form-control" id="cboCriterio">
                                    <option>SEDE</option>
                                    <option>APELLIDOS</option>
                                    <option>DNI</option>
                                </select>
                            </div>
                            <div class="col-md-8 form-group">
                                <!--                                <label>Busqueda</label>
                                                                <input type="text" class="form-control"/>-->
                                <div id="divCriterio">
                                    <label>Sede</label>

                                    <select class="selectpicker form-control" name="cboSedes" id="cboSedes" multiple>
                                        <option>LINCE</option>
                                        <option>AREQUIPA</option>
                                        <option>VILLA EL SALVADOR</option>
                                        <option>MONTESORI</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-4 form-group">
                                <label>Fecha Inicio</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="icon-calendar"></i></span>
                                    <input type="text" class="form-control" id="dpFechaInicio" name="dpFechaInicio" placeholder="Fecha inicio &hellip;">
                                </div>

                            </div>
                            <div class="col-md-4 form-group">
                                <label>Fecha Fin</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="icon-calendar"></i></span>
                                    <input type="text" class="form-control" id="dpFechaFin" name="dpFechaFin" placeholder="Fecha fin &hellip;">
                                </div>

                            </div>

                            <div class="col-md-4 form-group">
                                <label>Estado</label>
                                <select class="selectpicker form-control" name="cboSedes" id="cboSedes" multiple>
                                    <option>PENDIENTE</option>
                                    <option>FCA</option>
                                    <option>FSA</option>
                                    <option>TEMPRANO</option>
                                    <option>TARDANZA</option>
                                    <option>NO MARCÓ</option>
                                </select>
                            </div>
                        </div>


                        <div class="row">

                        </div>

                    </div>
                    <div class="panel-footer">
                        <div class="text-center">
                            <button class="btn btn-primary" id="btnBuscar"><i class="fa fa-search"></i> Buscar</button>&nbsp;
                            <button class="btn btn-warning" id="btnLimpiar"><i class="fa fa-eraser"></i> Limpiar</button>
                        </div>
                    </div>

                </form>

            </div>
        </div>


        <div class="col-md-12">
            <div class="panel panel-primary card-3" style="margin-top: 30px"> 
                <div class="panel-heading" style="padding: 8px 15px">
                    <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="icon icon-search4"></i>&nbsp; LISTADO DE ASISTENCIAS</h6>
                </div>
                <div>
                    <table class="table dataTable table-striped table-hover table-sm table-bordered" id="tblAsistenciaPolicias">                                                 
                        <thead>
                            <tr>
                                <th>Nº</th>
                                <!--<th>SEDE</th>-->
                                <th>APELLIDOS Y NOMBRES</th>
                                <th>SEDE</th>
                                <th>FECHA</th>
                                <th>HORARIO</th>
                                <th>TIPO</th>
                                <th>FRECUENCIA</th>
                                <th>MARC. ENTRADA</th>
                                <th>MARC. SALIDA</th>
                                <th>ESTADO</th>
                                <th>ACCIONES</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>1</td>
                                <td>RAMIREZ MORALES ROLANDO</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:00 - 17:00</td>
                                <td class="text-center">REGULAR</td>
                                <td class="text-center">IMPAR</td>
                                <td class="text-center">
                                    <span class="text-migration font-weight-bold">06:32</span>
                                </td>
                                <td class="text-center">
                                    <span class="text-default">17:23</span>
                                </td>
                                <td><span class="label label-success">TEMPRANO</span></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>2</td>
                                <td>RODRIGUEZ CALERO MARCO ANTONIO</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>19:00 - 07:00</td>
                                <td class="text-center">AMANECIDA 12H</td>
                                <td class="text-center">IMPAR</td>
                                <td class="text-center">
                                    <span class="text-migration">19:07</span>
                                </td>
                                <td class="text-center text-migration">07:02</td>
                                <td><span class="label label-warning">TARDANZA</span></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>3</td>
                                <td>LORENZO CARHUANCHO JOEL</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:00- 17:00</td>
                                <td class="text-center">REGULAR</td>
                                <td class="text-center">DIARIO</td>
                                <td class="text-center">-</td>
                                <td class="text-center">-</td>
                                <td><span class="label label-danger">FCA</span></td>
                                <td></td>

                            </tr>
                            <tr>
                                <td>4</td>
                                <td>VASQUEZ PEREZ LIDER</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:00- 17:00</td>
                                <td class="text-center">REGULAR</td>
                                <td class="text-center">PAR</td>
                                <td class="text-center">-</td>
                                <td class="text-center">-</td>
                                <td><span class="label label-danger">FSA</span></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>5</td>
                                <td>SILVA ASTUDILLO VICTOR SEGUNDO</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:00 - 07:00</td>
                                <td class="text-center">AMANECIDA 24H</td>
                                <td class="text-center">IMPAR</td>
                                <td class="text-center">07:24</td>
                                <td class="text-center text-migration">06:58</td>
                                <td><span class="label label-default">NO MARCÓ</span></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>6</td>
                                <td>PACHECO PANCA ADOLFO</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:00 - 07:00</td>
                                <td class="text-center">AMANECIDA 24H</td>
                                <td class="text-center">PAR</td>
                                <td class="text-center">-</td>
                                <td class="text-center">-</td>
                                <td><span class="label label-info">VAC</span></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>7</td>
                                <td>GONZALES MARCHISIO JUAN CARLOS</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:00 - 17:00</td>
                                <td class="text-center">AMANECIDA 24H</td>
                                <td class="text-center">DIARIO</td>
                                <td class="text-center">-</td>
                                <td class="text-center">-</td>
                                <td><span class="label label-info">FER</span></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>8</td>
                                <td>SOTO GUTIERREZ MANUEL JESUS</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:50 - 17:00</td>
                                <td class="text-center">REGULAR</td>
                                <td class="text-center">UN SOLO DÍA</td>
                                <td class="text-center">-</td>
                                <td class="text-center">-</td>
                                <td><span class="label label-info">LCGH</span></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>9</td>
                                <td>VIDAL AVILA WILLY CESAR</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:00 - 17:00</td>
                                <td class="text-center">REGULAR</td>
                                <td class="text-center">IMPAR</td>
                                <td class="text-center"></td>
                                <td class="text-center">17:13</td>
                                <td><span class="label bg-purple">ENTRADA PENDIENTE</span></td>
                                <td>
                                    <span data-toggle="modal" data-target="#modal_entrada_pendiente" data-placement="left" title="Editar" style="cursor: pointer"> <i class='registrar icon-plus-circle2 text-success-700'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class='editar icon-pencil text-slate-800'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Aprobar" style="cursor: pointer"> <i class='aprobar icon-checkmark-circle text-success-700'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Anular" style="cursor: pointer"> <i class='anular icon-cancel-circle2 text-danger-700'></i>&nbsp;&nbsp; </span>


                                </td>
                            </tr>
                            <tr>
                                <td>10</td>
                                <td>PAREDES HUANUQUEÑO ROBERTO SANTOS</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:00 - 17:00</td>
                                <td class="text-center">REGULAR</td>
                                <td class="text-center">IMPAR</td>
                                <td class="text-center text-migration">07:28</td>
                                <td></td>
                                <td><span class="label bg-purple">SALIDA PENDIENTE</span></td>
                                <td>
                                    <span data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class='registrar icon-plus-circle2 text-success-700'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class='editar icon-pencil text-slate-800'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Aprobar" style="cursor: pointer"> <i class='aprobar icon-checkmark-circle text-success-700'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Anular" style="cursor: pointer"> <i class='anular icon-cancel-circle2 text-danger-700'></i>&nbsp;&nbsp; </span>


                                </td>
                            </tr>
                            <tr>
                                <td>11</td>
                                <td>PICHIGUA MELENDEZ ANTONIO</td>
                                <td>VILLA EL SALVADOR</td>
                                <td>26/06/2018</td>
                                <td>07:50 - 14:30</td>
                                <td class="text-center">REGULAR</td>
                                <td class="text-center">DIARIO</td>
                                <td class="text-center"></td>
                                <td></td>
                                <td><span class="label bg-purple">PENDIENTE</span></td>
                                <td>
                                    <span data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class='registrar icon-plus-circle2 text-success-700'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class='editar icon-pencil text-slate-800'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Aprobar" style="cursor: pointer"> <i class='aprobar icon-checkmark-circle text-success-700'></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Anular" style="cursor: pointer"> <i class='anular icon-cancel-circle2 text-danger-700'></i>&nbsp;&nbsp; </span>


                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>





        <div id="modal_entrada_pendiente" class="modal fade">
            <div class="modal-dialog modal-sm">
                <div class="modal-content">
                    <div class="modal-header bg-primary">
                        <h5 class="modal-title">Registrar Asistencia</h5>
                    </div>

                    <div class="modal-body">
                        <div>
                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label>Fecha de asistencia</label>
                                    <div class="input-group">
                                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                        <input class="datepicker form-control" type="text" id="txtFechaAsistencia" value="26/06/2018" disabled>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label>Policia</label>
                                    <span class="label label-left border-left-primary label-striped form-control">DEZA CORREA OSCAR MIGUEL</span>
                                </div>
                            </div>


                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label style="font-size: small">
                                        Descripcion:
                                    </label>
                                    <span class="text-danger"> (*)</span>
                                    <select id="cboTipoAsistencia" class="form-control">
                                        <option value="0">[SELECCIONE]</option>
                                        <option value="1">Registro directo</option>
                                        <option value="2">No marcó</option>
                                        <option value="3">Falta con Aviso</option>
                                        <option value="4">Falta sin Aviso</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row" id="divFiltro">

                            </div>

                        </div>

                    </div>

                    <div class="modal-footer text-center">
                        <button class="btn btn-success" id="btnGuardarCambios" data-dismiss="modal"><i class="fa fa-search"></i> Guardar Cambios</button>&nbsp;
                        <button type="button" class="btn btn-warning" id="btnCancelar" data-dismiss="modal"><i class="fa fa-eraser"></i> Cancelar</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- / content -->

        <%@include file="templates/footer-body.jsp"%>
        <!--js de la pagina-->


        <script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
        <script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/dataTables.bootstrap.min.js"></script>
        <script src="../js/lib/bootstrap-select/bootstrap-select.min.js" type="text/javascript"></script>
        <script type="text/javascript" src="../plantilla/assets/js/plugins/pickers/daterangepicker.js"></script>
        <script type="text/javascript" src="../plantilla/assets/js/core/libraries/jquery_ui/widgets.min.js"></script>
        <script src="../js/pages/control_asistencia_policias.js" type="text/javascript"></script>
        <!--js-->   
    </body>
</html>